Subject: Re: I-D ACTION:draft-ietf-l2tpext-ppp-discinfo-01.txt

From: James Carlson <[email-masked]>
Date: Mon, 22 Jan 2001 11:11:28 -0500 (EST)

Thomas Narten writes:
> Do you really want the language this strong? I.e., it seems to say if
> you send using the older 3Com AVP, you are in violation of this
> spec. Seems like you would want milder language, as in you MAY want to
> send the old value to talk to older peers, but this should require
> configuration and not be the default.

After talking to the 3Com folks, I went a little further.  The feature
hasn't been shipped yet, so compatibility with existing
implementations should be a moot point (unless, I suppose, someone
other than the originator of this idea was able to ship something
first based on the previous draft).  The intent was to more forcefully
note that interoperation with older peers is not necessary since those
peers don't exist.

I'd agree, though, with a SHOULD NOT here.

> IESG Approval is probably not what you want. How about "IETF
> consensus"? That means publish an RFC.

OK; that was the intent.

> > Values 32768 through 65279 (inclusive) are assigned by the IANA on a
> > First Come First Served basis, and are intended for vendor-specific
> > features.
> 
> there doesn't seem to be much need for something like that. Anyone
> that wants a value can  just ask for one.

On reexamining that, I agree.

> These are all minor issues and can be fixed later; I'll start the
> Last Call.

Thanks.  There's also one rather obvious typo that slipped out:

]           2: Too many Configure-Naks sent to from peer.

"sent to from peer" should just be "sent to peer."

-- 
James Carlson, Internet Engineering       <[email-masked]>
SUN Microsystems / 1 Network Drive         71.234W   Vox +1 781 442 2084
MS UBUR02-212 / Burlington MA 01803-2757   42.497N   Fax +1 781 442 1677
Second Edition now available - http://people.ne.mediaone.net/carlson/ppp

---

From: Thomas Narten <[email-masked]>
Date: Mon, 22 Jan 2001 10:56:28 -0500

Looking at this ID, it contains the following language:

>    A draft form of this AVP used Vendor ID 43 (3Com Corporation) and
>    vendor-specific Attribute Type 46.  Implementations MAY accept AVPs
>    with these values as equivalent to the message described in this
>    document, but MUST NOT transmit an AVP using these values.

>    Values 21 through 32767 (inclusive) are assigned by the IANA subject
>    to IESG Approval.  Values 32768 through 65279 (inclusive) are

IESG Approval is intended for cases where no RFC is coming, but the

Thomas

---

From: Thomas Narten <[email-masked]>
Date: Mon, 22 Jan 2001 11:13:05 -0500

> note that interoperation with older peers is not necessary since those

Even better. But if there is no deployed stuff, does the AVP even need
mentioning? No harm I guess.

Thomas

---

From: James Carlson <[email-masked]>
Date: Mon, 22 Jan 2001 11:24:25 -0500 (EST)

> mentioning? No harm I guess.

Possibly not.  But, then, you did note the lack of documentation here
on a previous review.  At best I think it's a grey area.

---

From: [email-masked]
Date: Mon, 22 Jan 2001 07:18:48 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Layer Two Tunneling Protocol Extensions Working Group of the IETF.

	Title		: L2TP Disconnect Cause Information
	Author(s)	: R. Verma, M. Verma, J. Carlson
	Filename	: draft-ietf-l2tpext-ppp-discinfo-01.txt
	Pages		: 9
	Date		: 19-Jan-01
	
The Layer 2 Tunneling Protocol ('L2TP') defines a mechanism for
tunneling PPP sessions.  The current RFC lacks a mechanism for the
LNS to provide PPP related disconnect cause information to the LAC.
This information, provided by the extension described in this
document, can be useful for accounting and debugging purposes.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-l2tpext-ppp-discinfo-01.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-l2tpext-ppp-discinfo-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-l2tpext-ppp-discinfo-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.